### Method

# Gdk Event get_axes

#### Declaration [src]

    gboolean
    gdk_event_get_axes (
      GdkEvent* event,
      double** axes,
      guint* n_axes
    )

#### Description [src]

Extracts all axis values from an event.

To find out which axes are used, use `gdk_device_tool_get_axes()` on the device tool returned by `gdk_event_get_device_tool()`.

#### Parameters

`axes`

  Type: An array of `double*`

  The array of values for all axes.

  The argument will be set by the function.
  The length of the array is specified in the `n_axes` argument.
  The returned data is owned by the instance.

`n_axes`

  Type: `guint*`

  The length of array.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE`.